<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><meta name="exporter-version" content="Evernote Mac 6.0.16 (451861)"/><meta name="altitude" content="889.0266723632812"/><meta name="author" content="pissaypratheesh@gmail.com"/><meta name="created" content="2016-12-25 08:43:04 +0000"/><meta name="latitude" content="12.90792697999031"/><meta name="longitude" content="77.63362339398793"/><meta name="source" content="desktop.mac"/><meta name="updated" content="2017-01-08 00:54:45 +0000"/><title>ES6 and es5</title></head><body>
<div><br/></div>
<div>6. .bind/call/apply does not work on arrow functions, can’t change this value by  .bind/call/apply //but still not sure of y apply and call still works<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.35.55%20pm.png" height="1076" width="1722"/></div>
<div><br/></div>
<div>7. newline character errors</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.38.35%20pm.png" height="844" width="1942"/></div>
<div>  </div>
<div>8. Which is true?? dunno yet</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.42.59%20pm.png" height="1204" width="1816"/></div>
<div>OR <img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.43.22%20pm.png" height="734" width="1606"/></div>
<div><br/></div>
<div><br/></div>
<div>9.</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.49.49%20pm.png" height="1040" width="2032"/></div>
<div><br/></div>
<div>10.<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.52.51%20pm.png" height="1066" width="1584"/></div>
<div><br/></div>
<div>11.</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.55.24%20pm.png" height="1192" width="2130"/></div>
<div><br/></div>
<div>12.<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.56.47%20pm.png" height="1290" width="2016"/></div>
<div><br/></div>
<div>13.</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%202.59.57%20pm.png" height="1000" width="2064"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.04.13%20pm.png" height="1368" width="2044"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.05.02%20pm.png" height="1078" width="2012"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.07.37%20pm.png" height="1174" width="1990"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.09.10%20pm.png" height="1144" width="1958"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.10.45%20pm.png" height="960" width="1908"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.11.18%20pm.png" height="1020" width="2100"/></div>
<div><br/></div>
<div><br/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.15.30%20pm.png" height="1124" width="2036"/></div>
<div><br/></div>
<div><br/></div>
<div><br/></div>
<div>below is wrong:</div>
<div>Correct:</div>
<div>'use strict';</div>
<div>var p = 9;</div>
<div>var pp={</div>
<div>  p:8,</div>
<div>  ab(){</div>
<div>    console.log(this.p); // prints 8 </div>
<div>    return this.p</div>
<div>  }</div>
<div>};</div>
<div>pp.ab()</div>
<div><br/></div>
<div><br/></div>
<div><br/></div>
<div><br/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.16.08%20pm.png" height="1180" width="2016"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.17.06%20pm.png" height="1182" width="2030"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.20.10%20pm.png" height="938" width="2084"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.20.44%20pm.png" height="886" width="1908"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.21.15%20pm.png" height="822" width="1856"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.40.50%20pm.png" height="978" width="2012"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.49.11%20pm.png" height="1130" width="1966"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.49.52%20pm.png" height="1086" width="1668"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-25%20at%203.51.38%20pm.png" height="1124" width="2064"/></div>
<div><br/></div>
<div><br/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.30.58%20am.png" height="1240" width="1978"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.33.09%20am.png" height="1080" width="1958"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.35.12%20am.png" height="1068" width="2000"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.37.03%20am.png" height="1088" width="1778"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.40.19%20am.png" height="1186" width="1998"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2010.43.40%20am.png" height="1132" width="1378"/></div>
<div><br/></div>
<div><b>Modules:</b></div>
<div><b><br/></b></div>
<div>Modules gets executed on its initial load.</div>
<div>By default even without the strict mode  when a module gets loaded, es6 will put the code in strict mode.</div>
<div>Imported modules will get hoisted to the top of the file</div>
<div><br/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.14.11%20pm.png" height="1204" width="2044"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.16.55%20pm.png" height="1120" width="1934"/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.18.17%20pm.png" height="1090" width="1672"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.18.42%20pm.png" height="1100" width="1812"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.19.18%20pm.png" height="1052" width="1726"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.19.53%20pm.png" height="1104" width="1596"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.20.29%20pm.png" height="1138" width="2016"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.21.40%20pm.png" height="1162" width="2040"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.22.27%20pm.png" height="1122" width="1456"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.24.00%20pm.png" height="1198" width="1726"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.27.55%20pm.png" height="1224" width="2038"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.30.03%20pm.png" height="882" width="1862"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.30.32%20pm.png" height="862" width="1834"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.31.07%20pm.png" height="806" width="1806"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.35.21%20pm.png" height="944" width="1850"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.35.57%20pm.png" height="1086" width="1688"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.36.37%20pm.png" height="1004" width="1818"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.37.26%20pm.png" height="644" width="1420"/><br/>
<img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.37.32%20pm.png" height="1074" width="1708"/></div>
<div><br/></div>
<div><b>Cannot declare and assign variables inside es6 class:</b></div>
<div><br/></div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.37.59%20pm.png" height="1046" width="1724"/></div>
<div><br/></div>
<div><br/></div>
<div>Classes are not hoisted:</div>
<div><img src="ES6%20and%20es5.resources/Screen%20Shot%202016-12-27%20at%2012.40.07%20pm.png" height="1086" width="1856"/></div>
<div><br/></div>
<div><br/></div>
</body></html>